GOTWEBCTL(8)

NAME
gotwebctl - control the Game of Trees Web Daemon

SYNOPSIS
gotwebctl [-hV] [-f path] command [arg ...]

DESCRIPTION
gotwebctl controls the gotwebd(8) daemon.

Access to the gotwebd(8) control socket requires root privileges.

The options for gotwebctl are as follows:

-h  Display usage information and exit immediately.

-f path
    Set the path to the control socket which gotwebd(8) is listening on. If not specified, the default path /var/run/gotwebd.sock will be used.

-V, --version
    Display program version and exit immediately.

The commands for gotwebctl are as follows:

info
    Display information about a running gotwebd(8) instance.

stop
    Ask a running gotwebd(8) instance to gracefully stop itself. This is equivalent to sending a TERM signal to gotwebd(8) without requiring knowledge of the process ID to send the signal to.

    The control socket will be closed by gotwebd(8), allowing a new instance of gotwebd(8) to take over. New FastCGI socket connections will no longer be accepted, but FastCGI requests currently in progress are still processed to completion.

SEE ALSO
got(1), gotwebd.conf(5), gotwebd(8)

AUTHORS
Stefan Sperling <stsp@openbsd.org>